Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.kie.api.conf
Enum MBeansOption

    java.lang.Object
      java.lang.Enum<MBeansOption>
          org.kie.api.conf.MBeansOption

All Implemented Interfaces:
  Serializable, Comparable<MBeansOption>, KieBaseOption, Option, SingleValueKieBaseOption

    public enum MBeansOption

extends Enum<MBeansOption>
implements SingleValueKieBaseOption

An Enum for MBeans Enabled option. kie.mbeans = <enabled|disabled> DEFAULT = false

Enum Constant Summary
`DISABLED`
`ENABLED`

Field Summary
`static String` | `PROPERTY_NAME` The property name for the mbeans option

Method Summary
`String` | `getPropertyName()` Returns the property name for this option
`boolean` | `isEnabled()`
`static boolean` | `isEnabled(String value)`
`static MBeansOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MBeansOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ENABLED

    public static final MBeansOption ENABLED

### DISABLED

    public static final MBeansOption DISABLED

Field Detail

### PROPERTY_NAME

    public static final String PROPERTY_NAME

  The property name for the mbeans option

  See Also:
    Constant Field Values

Method Detail

### values

    public static MBeansOption[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MBeansOption c : MBeansOption.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MBeansOption valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getPropertyName

    public String getPropertyName()

  Returns the property name for this option

  Specified by:
    `getPropertyName` in interface `Option`
  Returns:

### isEnabled

    public boolean isEnabled()

### isEnabled

    public static boolean isEnabled(String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.